# Makefile for netnews tools useful with cyrus
#
# netnews/Makefile.  Generated from Makefile.in by configure.
#
# Copyright (c) 1994-2008 Carnegie Mellon University.  All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
#
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in
#    the documentation and/or other materials provided with the
#    distribution.
#
# 3. The name "Carnegie Mellon University" must not be used to
#    endorse or promote products derived from this software without
#    prior written permission. For permission or any legal
#    details, please contact
#      Carnegie Mellon University
#      Center for Technology Transfer and Enterprise Creation
#      4615 Forbes Avenue
#      Suite 302
#      Pittsburgh, PA  15213
#      (412) 268-7393, fax: (412) 268-7395
#      innovation@andrew.cmu.edu
#
# 4. Redistributions of any form whatsoever must retain the following
#    acknowledgment:
#    "This product includes software developed by Computing Services
#     at Carnegie Mellon University (http://www.cmu.edu/computing/)."
#
# CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
# THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
# FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
# AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
# OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# $Id: Makefile.in,v 1.11 2008/03/24 19:06:32 murch Exp $

srcdir = .


CC = gcc
INSTALL = /usr/bin/install -c -o pbulk -g users
RANLIB = ranlib

DEFS = -DHAVE_CONFIG_H
CPPFLAGS = -I.. -I$(srcdir) -I$(srcdir)/../lib -I$(srcdir)/../com_err/et -I/usr/pkg/include/db4 -I/usr/pkg/include/db4 -I/usr/include -I/usr/pkg/include -I/usr/include -I/usr/include
LIBS =  -L/usr/pkg/lib  -Wl,-R/usr/pkg/lib -lsasl2   -lresolv -lfl   -L/usr/pkg/lib  -Wl,-R/usr/pkg/lib -ldb4 -lssl -lcrypto -lz  
DEPLIBS = ../lib/libcyrus.a ../lib/libcyrus_min.a  

CFLAGS = -O2 -D_FORTIFY_SOURCE=2 -I/usr/pkg/include/db4 -I/usr/include -I/usr/pkg/include
LDFLAGS = -L/usr/lib -Wl,-R/usr/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/pkg/lib -Wl,-R/usr/pkg/lib -L/usr/lib -Wl,-R/usr/lib -Wl,-R/usr/pkg/lib/perl5/5.30.0/earmv7hf-netbsd-thread-multi/CORE -L/usr/lib

SHELL = /bin/sh
MAKEDEPEND = makedepend

prefix = /usr/pkg
exec_prefix = ${prefix}
cyrus_prefix = /usr/pkg/cyrus
service_path = /usr/pkg/cyrus/bin

OBJS = remotepurge.o readconfig.o

all: remotepurge

install:
	$(INSTALL) -s -m 755 remotepurge $(DESTDIR)$(service_path)

.c.o:
	$(CC) -c $(CPPFLAGS) $(DEFS) $(CFLAGS) $<

remotepurge: $(OBJS) $(DEPLIBS)
	$(CC) $(LDFLAGS) -o remotepurge $(OBJS) \
		$(DEPLIBS) $(LIBS)


clean:
	rm -f *.o Makefile.bak remotepurge makedepend.log

distclean: clean
	rm -f Makefile

depend:
	${MAKEDEPEND} $(CPPFLAGS) $(DEFS) $(CFLAGS) *.c $(srcdir)/*.c 1>makedepend.log 2>&1

# DO NOT DELETE THIS LINE -- make depend depends on it.

